Bug 12158 - CTDB release IP fixes
CTDB release IP fixes
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.5.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-08-17 04:25 UTC by Martin Schwenke
Modified: 2016-09-20 07:07 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.5rc (10.09 KB, patch)
2016-08-18 06:15 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.4 (14.47 KB, patch)
2016-08-18 06:15 UTC, Martin Schwenke
amitay: review+
Details
Updated patch for 4.5rc (16.29 KB, patch)
2016-08-22 01:43 UTC, Martin Schwenke
amitay: review+
Details
Updated patch for 4.4 (20.68 KB, patch)
2016-08-22 01:44 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Schwenke 2016-08-17 04:25:31 UTC
CTDB fails to try to release an IP in certain circumstances, updates internal data structure even if IP address was not removed from its interface, and allows a release IP control to timeout on an unnecessary out-of-memory.
Comment 1 Martin Schwenke 2016-08-18 06:15:10 UTC
Created attachment 12378 [details]
Patch for 4.5rc
Comment 2 Martin Schwenke 2016-08-18 06:15:37 UTC
Created attachment 12379 [details]
Patch for 4.4
Comment 3 Amitay Isaacs 2016-08-18 06:40:30 UTC
Hi Karolin,

This is ready for v4-5 and v4-4.
Comment 4 Martin Schwenke 2016-08-20 00:05:59 UTC
2 more fixes to come...
Comment 5 Martin Schwenke 2016-08-22 01:43:36 UTC
Created attachment 12391 [details]
Updated patch for 4.5rc
Comment 6 Martin Schwenke 2016-08-22 01:44:26 UTC
Created attachment 12392 [details]
Updated patch for 4.4
Comment 7 Amitay Isaacs 2016-08-22 04:57:47 UTC
Hi Karolin,

Take 2.  Ready for v4-5 and v4-4 branches.
Comment 8 Stefan Metzmacher 2016-08-24 09:47:25 UTC
Pushed to autobuild-v4-5-test.
Comment 9 Stefan Metzmacher 2016-08-28 15:54:50 UTC
Pushed to v4-5-test.
Comment 10 Karolin Seeger 2016-09-13 10:01:32 UTC
Pushed to autobuild-v4-4-test.
Comment 11 Karolin Seeger 2016-09-20 07:07:28 UTC
Pushed to both branches.
Closing out bug report.

Thanks!